using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.WorkflowTemplatesManager.Repository;

namespace e_suite.Modules.WorkflowTemplatesManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<WorkflowTemplateRepository>().As<IWorkflowTemplateRepository>().InstancePerLifetimeScope();
        builder.RegisterType<WorkflowTemplateManager>().As<IWorkflowTemplateManager>().InstancePerLifetimeScope();
        builder.RegisterType<WorkflowConverter>().As<IWorkflowConverter>().InstancePerLifetimeScope();
    }
}